## org.exist.xquery
Class TerminatedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.xquery.XPathException
                  org.exist.xquery.TerminatedException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TerminatedException.SizeLimitException, TerminatedException.TimeoutException

public class TerminatedException
extends XPathException

Author:
  wolf
See Also:
  Serialized Form

Nested Class Summary
`static class` `TerminatedException.SizeLimitException`
`static class` `TerminatedException.TimeoutException`

Constructor Summary
`TerminatedException(XQueryAST ast, java.lang.String message)`

Methods inherited from class org.exist.xquery.XPathException
`addFunctionCall, getColumn, getDetailMessage, getLine, getMessage, getMessageAsHTML, prependMessage, setASTNode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminatedException

    public TerminatedException(XQueryAST ast,
                               java.lang.String message)

Parameters:
  `ast` -
  `message` -

Copyright (C) Wolfgang Meier. All rights reserved.